# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'Revision.rolled_back_by'
        db.add_column('revtracker_revision', 'rolled_back_by', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='rolls_back', null=True, to=orm['revtracker.Revision']), keep_default=False)


    def backwards(self, orm):
        
        # Deleting field 'Revision.rolled_back_by'
        db.delete_column('revtracker_revision', 'rolled_back_by_id')


    models = {
        'revtracker.project': {
            'Meta': {'object_name': 'Project'},
            'branch': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'deployed_revision': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'+'", 'null': 'True', 'to': "orm['revtracker.Revision']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '128', 'db_index': 'True'})
        },
        'revtracker.revision': {
            'Meta': {'ordering': "['project', '-revno']", 'object_name': 'Revision'},
            'assignee': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'commit_message': ('django.db.models.fields.TextField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'link': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'project': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['revtracker.Project']"}),
            'revno': ('django.db.models.fields.IntegerField', [], {}),
            'rolled_back_by': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'rolls_back'", 'null': 'True', 'to': "orm['revtracker.Revision']"}),
            'status': ('django.db.models.fields.IntegerField', [], {})
        }
    }

    complete_apps = ['revtracker']
