# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Changing field 'Revision.branch'
        db.alter_column(u'revtracker_revision', 'branch', self.gf('django.db.models.fields.CharField')(max_length=512, null=True))


    def backwards(self, orm):
        
        # Changing field 'Revision.branch'
        db.alter_column(u'revtracker_revision', 'branch', self.gf('django.db.models.fields.CharField')(default='', max_length=512))


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2014, 1, 31, 14, 8, 26, 845388)'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2014, 1, 31, 14, 8, 26, 844889)'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'revtracker.deploymentrequest': {
            'Meta': {'ordering': "['date_created', 'project', 'deploy_revision']", 'unique_together': "(('project', 'deploy_revision'),)", 'object_name': 'DeploymentRequest'},
            'completer': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'completed_deployment_set'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_completed': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'deploy_revision': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'+'", 'to': u"orm['revtracker.Revision']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'project': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deployment_request_set'", 'to': u"orm['revtracker.Project']"}),
            'requester': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'requested_deployment_set'", 'to': u"orm['auth.User']"}),
            'start_revision': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'+'", 'null': 'True', 'to': u"orm['revtracker.Revision']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        u'revtracker.project': {
            'Meta': {'ordering': "['name']", 'object_name': 'Project'},
            'branch': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'deployed_revision': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'+'", 'null': 'True', 'to': u"orm['revtracker.Revision']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '128', 'db_index': 'True'}),
            'no_qa_of_main_branch': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'sourcedeps_path': ('django.db.models.fields.CharField', [], {'max_length': '512', 'blank': 'True'})
        },
        u'revtracker.revision': {
            'Meta': {'ordering': "['project', 'branch', '-revno']", 'unique_together': "(('project', 'branch', 'revno'),)", 'object_name': 'Revision'},
            'assignee': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'branch': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'commit_message': ('django.db.models.fields.TextField', [], {}),
            'committer': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']", 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'link': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'children'", 'null': 'True', 'to': u"orm['revtracker.Revision']"}),
            'project': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['revtracker.Project']"}),
            'revno': ('django.db.models.fields.IntegerField', [], {}),
            'rolled_back_by': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'rolls_back'", 'null': 'True', 'to': u"orm['revtracker.Revision']"}),
            'status': ('django.db.models.fields.IntegerField', [], {})
        }
    }

    complete_apps = ['revtracker']
