#!/bin/bash

set -e

TEMPDIR=$(mktemp -d)
trap "rm -r $TEMPDIR" EXIT SIGINT SIGTERM
CODE_DIR=${TEMPDIR}/isitdeployable

bzr push ${CODE_DIR}

if [ -n "$CA_EGGS_DIR" ]; then
    cp -a "$CA_EGGS_DIR" "${CODE_DIR}/eggs"
fi

make -C ${CODE_DIR} deploy "$@" CA_EGGS_DIR=eggs

